Subject: bug#17771: 24.3.91; SIGSEGV in cleanup_vector

From: Stephen Berman <[email-masked]>
Date: Mon, 16 Jun 2014 12:16:44 +0200

On Mon, 16 Jun 2014 12:02:21 +0400 Dmitry Antipov <[email-masked]> wrote:

> On 06/13/2014 06:52 PM, Eli Zaretskii wrote:
>
>> So Dmitry, I think Stephen here just found you a perfect recipe to
>> reproduce bug #16140, something that I failed to do.  Could you please
>> look into this?
>
> Reproduced. My machine looks much faster so I'm not sure it's always
> possible to hit C-g in time;

How long does it take for HELLO to be displayed on your machine?  Do you
have time to type `C-g' numerous times?  For me to get the crash, it's
not sufficient to type it just once or twice or maybe even three times
(I think the latter worked once in testing, but just now it didn't;
maybe I started too late or too soon.)

>                              anyway, this simple fix just works for me.

Unfortunately, I still get the same crash.  Does it matter that I the
emacs-24 source I applied your patch to includes Eli's patch to alloc.c?

Steve Berman